		this.rebuild = function(index) {
			this.buildThumbs(true);
			
			// Get a list of usable items (non-cloned or empty) and their anchors
			el[id].$items = el[id].$list.find("li");
			el[id].$usableItems = el[id].$list.find("li:not(.xb-showtime_empty, .xb-showtime_cloned)");
			el[id].$images = el[id].$items.find("> a");
			
			// Reset the current image
			if (window.stIndex >= el[id].$usableItems.length)
			{
				var imageToSwapTo = el[id].$usableItems.get(el[id].$usableItems.length - 1);
				swapImage(imageToSwapTo);
			}
			
			el[id].curImage = $(el[id].$usableItems.get(window.stIndex));
			
			el[id].$caption = $this.find(".xb-showtime_caption");
			
			el[id].total = el[id].$usableItems.length;
			
			// Update the total number of images
			if(el[id].s.showInfo)
			{
				el[id].$info.text("1 / "+el[id].total);
				if(el[id].s.autohideInfo)
					el[id].$info.hide();
			}
			else
				el[id].$info.hide();
			
			var anchor = $(el[id].curImage).find("> a");
			
			// Update the captions
			showCaptions();
			
			// Swap images when an image is clicked on
			el[id].$images.click(function() {
					swapImage($(this).parent());
				// Prevent the default behaviour
				return false;
			});
		}

		this.thumbPropertyChanged = function(index) {
			this.rebuild(index);
		}

		this.imagePropertyChanged = function(index) {
			this.rebuild(index);
			this.refresh();
		}

		this.thumbSizeCSSChanged = function(thumbContainerSize, thumbSize) {
			// thumbContainerSize is width and height on #exibid .xb-showtime_thumbs li
			// thumbSize is the width and height on #exibid .xb-showtime_thumbs img
		}

		this.thumbBorderCSSChanged = function(borderSize, hoverBorderSize) {
			// borderSize is the border with on #exibid .xb-showtime_thumbs img
			// hoverBorderSize is the border width on #exibid .xb-showtime_thumbs img:hover
		}

		this.imageSizeCSSChanged = function(containerHeight) {
			// containerSize is the size on .xb-showtime_slideshow
		}

		this.imageBorderCSSChanged = function(borderSize) {
			// borderSize is the border width on .exibid-showtime_image img
		}
